#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QtDebug>
#include <QTimer>
#include "adpainter.h"
#include "aliens.h"
#include "udpsender.h"

namespace Ui
{
    class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void ADrender();
private:
    void paintEvent(QPaintEvent*);
    void SetCell(int x, int y);
    void ClearCell(int x, int y);
    void mouseMoveEvent ( QMouseEvent * event );
    void mousePressEvent ( QMouseEvent * event );
    Ui::MainWindow *ui;
	Aliens * aliens;
    UdpSender * sndr;
    adpainter * adp;
    bool mousebt;
    int cellsize, destx, desty;
    //unsigned int AnimAlien;
};


#endif // MAINWINDOW_H
